# rdiff-backup API description v200

## Format

* format changed from Python 2 to Python 3 (incompatible types esp. bytes).

## Sources


### Internal

* `backup.DestinationStruct`
* `backup.SourceStruct`
* `backup.SourceStruct.set_source_select`
* `compare.DataSide`
* `compare.RepoSide`
* `compare.Verify`
* `conn_number`
* `quit`
* `reval`
* `eas_acls.get_acl_lists_from_rp`
* `eas_acls.set_rp_acl`
* `FilenameMapping.set_init_quote_vals`
* `FilenameMapping.set_init_quote_vals_local`
* `fs_abilities.backup_set_globals`
* `fs_abilities.get_readonly_fsa`
* `fs_abilities.restore_set_globals`
* `fs_abilities.single_set_globals`
* `Globals.get`
* `Globals.postset_regexp_local`
* `Globals.set`
* `Globals.set_local`
* `Hardlink.initialize_dictionaries`
* `log.Log.close_logfile_allconn`
* `log.Log.close_logfile_local`
* `log.Log.log_to_file`
* `log.Log.open_logfile_allconn`
* `log.Log.open_logfile_local`
* `log.Log.setterm_verbosity`
* `log.Log.setverbosity`
* `Main.backup_close_statistics`
* `Main.backup_remove_curmirror_local`
* `Main.backup_touch_curmirror_local`
* `manage.delete_earlier_than_local`
* `regress.check_pids`
* `regress.Regress`
* `restore.ListAtTime`
* `restore.ListChangedSince`
* `restore.MirrorStruct`
* `restore.MirrorStruct.set_mirror_select`
* `restore.TargetStruct`
* `restore.TargetStruct.set_target_select`
* `robust.install_signal_handlers`
* `rpath.copy_reg_file`
* `rpath.delete_dir_no_files`
* `rpath.gzip_open_local_read`
* `rpath.make_file_dict`
* `rpath.make_socket_local`
* `rpath.open_local_read`
* `rpath.RPath.fsync_local`
* `rpath.setdata_local`
* `SetConnections.add_redirected_conn`
* `SetConnections.init_connection_remote`
* `statistics.record_error`
* `Time.setcurtime_local`
* `Time.setprevtime_local`
* `user_group.init_group_mapping`
* `user_group.init_user_mapping`
* `user_group.map_rpath`

### External

* `gzip.GzipFile`
* `open`
* `os.chmod`
* `os.chown`
* `os.getuid`
* `os.lchown`
* `os.link`
* `os.listdir`
* `os.makedev`
* `os.makedirs`
* `os.mkdir`
* `os.mkfifo`
* `os.mknod`
* `os.name`
* `os.rename`
* `os.rmdir`
* `os.symlink`
* `os.unlink`
* `os.utime`
* `shutil.rmtree`
* `sys.stdout.write`
* `win32security.ConvertSecurityDescriptorToStringSecurityDescriptor`
* `win32security.ConvertStringSecurityDescriptorToSecurityDescriptor`
* `win32security.GetNamedSecurityInfo`
* `win32security.SetNamedSecurityInfo`
* `xattr.get`
* `xattr.list`
* `xattr.remove`
* `xattr.set`

## Testing


### Internal


### External

* `hasattr`
* `int`
* `ord`
* `os.lstat`
* `os.path.join`
* `os.remove`
* `pow`
* `str`
* `tempfile.mktemp`
