# RDIFF-BACKUP ARCHITECTURE

this directories contains higher-level documentation about the rdiff-backup architecture.

> **NOTE:** it is much work in progress as of now, and reverse engineering from code.

* The script [rdiff_backup_classes.sh](rdiff_backup_classes.sh) generates a [simple class diagram](rdiff_backup_classes.puml) in [PlantUML format](https://plantuml.com/class-diagram), which is itself rendered into an [SVG class diagram](rdiff_backup_classes.svg), which most browsers should be able to render properly. This diagram shows only class inheritance but is properly sorted into rdiff-backup's modules.
* Generated with `pyreverse-3 -k -m y -o svg rdiff_backup` (from the `pylint` package), the [pyreverse class diagram](classes.svg) looks less readable to me but it shows also composition/aggregation of classes. The [packages diagram](packages.svg) generated by the same command is itself utterly useless.

## Plug-in architecture

Even if it might not make sense to write plug-ins for rdiff-backup, in the sense
of "dropdown" external plug-ins, it definitely makes sense to define plug-in
interfaces which makes it easier to disentangle the code, and extend it without
inadvertently breaking other aspects.

The following plug-in interfaces are defined each in its own documentation file:

* [actions plug-ins](plugins_actions.md)
